Name: H5Gget_objtype_by_idx
Signature:
  int `H5Gget_objtype_by_idx`(hid_t `loc_id`, hsize_t `idx` )
Purpose:
  Returns the type of an object specified by an index.
Description:
  `H5Gget_objtype_by_idx` returns the type of the object specified by the index `idx` in the group `loc_id`.

  The group is specified by a group identifier `loc_id`. If preferred, a file identifier may be passed in `loc_id`; that file's root group will be assumed.

  `idx` is the transient index used to iterate through the objects in the group. This parameter is described in more detail in the discussion of `H5Gget_objname_by_idx`.

  The object type is returned as the function return value:

  | `H5G_LINK` | `0` | Object is a symbolic link.
  | `H5G_GROUP` | `1` | Object is a group.
  | `H5G_DATASET` | `2` | Object is a dataset.
  | `H5G_TYPE` | `3` | Object is a named datatype.

Parameters:

hid_t `loc_id` | IN: Group or file identifier.
hsize_t `idx` | IN: Transient index identifying object.

Returns:
  Returns the type of the object if successful. Otherwise returns a negative value.
Fortran90 Interface:
  None.
History:

Release | C
1.6.0 | The function return type changed from int to the enumerated type H5G_obj_t.
1.6.0 | Function introduced in this release.